Details
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/c1aBrG5s5xFa6Tbnihu2Hhj4t2q.jpg",
"created_by": [
{
"credit_id": "525776ce760ee36aaa5306f0",
"gender": 2,
"id": 1218788,
"name": "Don McGill",
"original_name": "Don McGill",
"profile_path": "/9QMLJDoA3hYlWdOhQyTVqimPok9.jpg"
},
{
"credit_id": "540dcbbf0e0a262b3d0069a8",
"gender": 2,
"id": 160145,
"name": "Donald P. Bellisario",
"original_name": "Donald P. Bellisario",
"profile_path": "/8xjZRZvWfn0aaZVHlYxRUtlqJIR.jpg"
}
],
"episode_run_time": [],
"first_air_date": "2003-09-23",
"genres": [
{
"id": 80,
"name": "Crime"
},
{
"id": 18,
"name": "Drama"
},
{
"id": 10759,
"name": "Action & Adventure"
}
],
"homepage": "http://www.cbs.com/shows/ncis/",
"id": 4614,
"in_production": true,
"languages": [
"en"
],
"last_air_date": "2024-12-16",
"last_episode_to_air": {
"air_date": "2024-12-16",
"episode_number": 9,
"episode_type": "standard",
"id": 5813668,
"name": "Humbug",
"overview": "When a shocking tell-all threatens to ruin Christmas for a decorated Marine, NCIS must unwrap the truth and deliver a holiday miracle -- before the book hits shelves and turns a hero's legacy into a holiday disaster.",
"production_code": "",
"runtime": 42,
"season_number": 22,
"show_id": 4614,
"still_path": null,
"vote_average": 0,
"vote_count": 0
},
"name": "NCIS",
"networks": [
{
"id": 16,
"logo_path": "/wWA5mILSAyahtdNQh1WiADi6PRI.png",
"name": "CBS",
"origin_country": "US"
}
],
"next_episode_to_air": null,
"number_of_episodes": 477,
"number_of_seasons": 22,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "NCIS",
"overview": "From murder and espionage to terrorism and stolen submarines, a team of special agents investigates any crime that has a shred of evidence connected to Navy and Marine Corps personnel, regardless of rank or position.",
"popularity": 698.785,
"poster_path": "/mBcu8d6x6zB1el3MPNl7cZQEQ31.jpg",
"production_companies": [
{
"id": 9223,
"logo_path": "/40qzTBM38vokoWhLKurficZ5syV.png",
"name": "Paramount Television",
"origin_country": "US"
},
{
"id": 23341,
"logo_path": null,
"name": "Belisarius Productions",
"origin_country": "US"
},
{
"id": 1081,
"logo_path": "/19kn4jVvpc3sAL3YpZNb3elhSMl.png",
"name": "CBS Studios",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"seasons": [
{
"air_date": "2003-04-22",
"episode_count": 126,
"id": 14081,
"name": "Specials",
"overview": "",
"poster_path": "/FlzeiA7DV0KQQ6FOExjTaHWBjs.jpg",
"season_number": 0,
"vote_average": 0
},
{
"air_date": "2003-09-23",
"episode_count": 23,
"id": 14073,
"name": "Season 1",
"overview": "",
"poster_path": "/ruiOyO3M47kM4TSpsuwyxr1HnSR.jpg",
"season_number": 1,
"vote_average": 7.5
},
{
"air_date": "2004-09-28",
"episode_count": 23,
"id": 14076,
"name": "Season 2",
"overview": "",
"poster_path": "/xuHMeqMludcvuc044p1KK8P0khI.jpg",
"season_number": 2,
"vote_average": 7.4
},
{
"air_date": "2005-09-20",
"episode_count": 24,
"id": 14077,
"name": "Season 3",
"overview": "",
"poster_path": "/oODrsSxzOkk7ODM2D13OVSdhhGM.jpg",
"season_number": 3,
"vote_average": 7.1
},
{
"air_date": "2006-09-19",
"episode_count": 24,
"id": 14075,
"name": "Season 4",
"overview": "",
"poster_path": "/g8ITNivPqH4oO6DooQyTXpV4k7O.jpg",
"season_number": 4,
"vote_average": 6.9
},
{
"air_date": "2007-09-25",
"episode_count": 19,
"id": 14074,
"name": "Season 5",
"overview": "",
"poster_path": "/TuaO9cUbFMoUvWXozQDBXxk0jX.jpg",
"season_number": 5,
"vote_average": 7.3
},
{
"air_date": "2008-09-23",
"episode_count": 25,
"id": 14072,
"name": "Season 6",
"overview": "",
"poster_path": "/1gPhXsISRdx9Zr9Zjt6gYRCRLTx.jpg",
"season_number": 6,
"vote_average": 7.3
},
{
"air_date": "2009-09-22",
"episode_count": 24,
"id": 14078,
"name": "Season 7",
"overview": "",
"poster_path": "/piRf9xx4yVeHPWdbl672ohh1Yw6.jpg",
"season_number": 7,
"vote_average": 7.3
},
{
"air_date": "2010-09-21",
"episode_count": 24,
"id": 14079,
"name": "Season 8",
"overview": "",
"poster_path": "/zlw3MFUmiy3vR6SYm4vigAjfsE9.jpg",
"season_number": 8,
"vote_average": 7.2
},
{
"air_date": "2011-09-20",
"episode_count": 24,
"id": 14080,
"name": "Season 9",
"overview": "",
"poster_path": "/lxdcCxdliuJIG7cvX4bA34hLY9O.jpg",
"season_number": 9,
"vote_average": 7.4
},
{
"air_date": "2012-09-25",
"episode_count": 24,
"id": 14082,
"name": "Season 10",
"overview": "",
"poster_path": "/z0GQhIt7uF9aPnMr7YQH6nS2ch4.jpg",
"season_number": 10,
"vote_average": 7.2
},
{
"air_date": "2013-09-24",
"episode_count": 24,
"id": 14083,
"name": "Season 11",
"overview": "",
"poster_path": "/tctlBaYAGMQXC0WeSWRsQTRlHrq.jpg",
"season_number": 11,
"vote_average": 7.2
},
{
"air_date": "2014-09-23",
"episode_count": 24,
"id": 62834,
"name": "Season 12",
"overview": "",
"poster_path": "/mFMuez4mJttuV59RLLCrBRJv1Uv.jpg",
"season_number": 12,
"vote_average": 7.1
},
{
"air_date": "2015-09-22",
"episode_count": 24,
"id": 70439,
"name": "Season 13",
"overview": "",
"poster_path": "/7we57KqiRwrmaNjnInYgnSAjas.jpg",
"season_number": 13,
"vote_average": 7.3
},
{
"air_date": "2016-09-20",
"episode_count": 24,
"id": 79755,
"name": "Season 14",
"overview": "",
"poster_path": "/7LMI9VVUD4zAgVLQrGGdNUVCAa8.jpg",
"season_number": 14,
"vote_average": 7.6
},
{
"air_date": "2017-09-26",
"episode_count": 24,
"id": 91258,
"name": "Season 15",
"overview": "",
"poster_path": "/bdMcCHERoYwYCpHJW0aHYNm2oKG.jpg",
"season_number": 15,
"vote_average": 8
},
{
"air_date": "2018-09-25",
"episode_count": 24,
"id": 106151,
"name": "Season 16",
"overview": "",
"poster_path": "/sQz8u7UpRE02SthffFgIywogoKS.jpg",
"season_number": 16,
"vote_average": 7.9
},
{
"air_date": "2019-09-24",
"episode_count": 20,
"id": 126158,
"name": "Season 17",
"overview": "",
"poster_path": "/gK2yIQjtMGYmlLjIbHQuSadzJ9n.jpg",
"season_number": 17,
"vote_average": 7.8
},
{
"air_date": "2020-11-17",
"episode_count": 16,
"id": 167653,
"name": "Season 18",
"overview": "",
"poster_path": "/gYeIW2bgvQEwTFdkxufkzximplS.jpg",
"season_number": 18,
"vote_average": 7.9
},
{
"air_date": "2021-09-20",
"episode_count": 21,
"id": 201998,
"name": "Season 19",
"overview": "",
"poster_path": "/lSTchtc26YNdOjdKvZtLs22SokL.jpg",
"season_number": 19,
"vote_average": 7.9
},
{
"air_date": "2022-09-19",
"episode_count": 22,
"id": 298439,
"name": "Season 20",
"overview": "",
"poster_path": "/2exOHePjOTquUsbThPGhuEjYTyA.jpg",
"season_number": 20,
"vote_average": 7.6
},
{
"air_date": "2024-02-12",
"episode_count": 10,
"id": 365595,
"name": "Season 21",
"overview": "",
"poster_path": "/19ht0bW0v1BzQO3WO319R9EXSE6.jpg",
"season_number": 21,
"vote_average": 8
},
{
"air_date": "2024-10-14",
"episode_count": 10,
"id": 402099,
"name": "Season 22",
"overview": "",
"poster_path": "/mBcu8d6x6zB1el3MPNl7cZQEQ31.jpg",
"season_number": 22,
"vote_average": 10
}
],
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Returning Series",
"tagline": "Back in force.",
"type": "Scripted",
"vote_average": 7.618,
"vote_count": 2278
}TV Series
Details
This endpoint is used to get the details of a TV show.
GET
/
3
/
tv
/
{series_id}
Details
Authorizations
Path Parameters
integer
Example:
"4614"
Query Parameters
Example:
"en-US"
Response
200 - application/json
OK
Example:
false
Example:
"/c1aBrG5s5xFa6Tbnihu2Hhj4t2q.jpg"
Show child attributes
Show child attributes
Example:
[
{
"credit_id": "525776ce760ee36aaa5306f0",
"gender": 2,
"id": 1218788,
"name": "Don McGill",
"original_name": "Don McGill",
"profile_path": "/9QMLJDoA3hYlWdOhQyTVqimPok9.jpg"
},
{
"credit_id": "540dcbbf0e0a262b3d0069a8",
"gender": 2,
"id": 160145,
"name": "Donald P. Bellisario",
"original_name": "Donald P. Bellisario",
"profile_path": "/8xjZRZvWfn0aaZVHlYxRUtlqJIR.jpg"
}
]
Example:
[]
Example:
"2003-09-23"
Show child attributes
Show child attributes
Example:
[
{ "id": 80, "name": "Crime" },
{ "id": 18, "name": "Drama" },
{ "id": 10759, "name": "Action & Adventure" }
]
Example:
"http://www.cbs.com/shows/ncis/"
Example:
4614
Example:
true
Example:
["en"]
Example:
"2024-12-16"
Show child attributes
Show child attributes
Example:
"NCIS"
Show child attributes
Show child attributes
Example:
[
{
"id": 16,
"logo_path": "/wWA5mILSAyahtdNQh1WiADi6PRI.png",
"name": "CBS",
"origin_country": "US"
}
]
Example:
477
Example:
22
Example:
["US"]
Example:
"en"
Example:
"NCIS"
Example:
"From murder and espionage to terrorism and stolen submarines, a team of special agents investigates any crime that has a shred of evidence connected to Navy and Marine Corps personnel, regardless of rank or position."
Example:
698.785
Example:
"/mBcu8d6x6zB1el3MPNl7cZQEQ31.jpg"
Show child attributes
Show child attributes
Example:
[
{
"id": 9223,
"logo_path": "/40qzTBM38vokoWhLKurficZ5syV.png",
"name": "Paramount Television",
"origin_country": "US"
},
{
"id": 23341,
"logo_path": null,
"name": "Belisarius Productions",
"origin_country": "US"
},
{
"id": 1081,
"logo_path": "/19kn4jVvpc3sAL3YpZNb3elhSMl.png",
"name": "CBS Studios",
"origin_country": "US"
}
]
Show child attributes
Show child attributes
Example:
[
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
Show child attributes
Show child attributes
Example:
[
{
"air_date": "2003-04-22",
"episode_count": 126,
"id": 14081,
"name": "Specials",
"overview": "",
"poster_path": "/FlzeiA7DV0KQQ6FOExjTaHWBjs.jpg",
"season_number": 0,
"vote_average": 0
},
{
"air_date": "2003-09-23",
"episode_count": 23,
"id": 14073,
"name": "Season 1",
"overview": "",
"poster_path": "/ruiOyO3M47kM4TSpsuwyxr1HnSR.jpg",
"season_number": 1,
"vote_average": 7.5
},
{
"air_date": "2004-09-28",
"episode_count": 23,
"id": 14076,
"name": "Season 2",
"overview": "",
"poster_path": "/xuHMeqMludcvuc044p1KK8P0khI.jpg",
"season_number": 2,
"vote_average": 7.4
},
{
"air_date": "2005-09-20",
"episode_count": 24,
"id": 14077,
"name": "Season 3",
"overview": "",
"poster_path": "/oODrsSxzOkk7ODM2D13OVSdhhGM.jpg",
"season_number": 3,
"vote_average": 7.1
},
{
"air_date": "2006-09-19",
"episode_count": 24,
"id": 14075,
"name": "Season 4",
"overview": "",
"poster_path": "/g8ITNivPqH4oO6DooQyTXpV4k7O.jpg",
"season_number": 4,
"vote_average": 6.9
},
{
"air_date": "2007-09-25",
"episode_count": 19,
"id": 14074,
"name": "Season 5",
"overview": "",
"poster_path": "/TuaO9cUbFMoUvWXozQDBXxk0jX.jpg",
"season_number": 5,
"vote_average": 7.3
},
{
"air_date": "2008-09-23",
"episode_count": 25,
"id": 14072,
"name": "Season 6",
"overview": "",
"poster_path": "/1gPhXsISRdx9Zr9Zjt6gYRCRLTx.jpg",
"season_number": 6,
"vote_average": 7.3
},
{
"air_date": "2009-09-22",
"episode_count": 24,
"id": 14078,
"name": "Season 7",
"overview": "",
"poster_path": "/piRf9xx4yVeHPWdbl672ohh1Yw6.jpg",
"season_number": 7,
"vote_average": 7.3
},
{
"air_date": "2010-09-21",
"episode_count": 24,
"id": 14079,
"name": "Season 8",
"overview": "",
"poster_path": "/zlw3MFUmiy3vR6SYm4vigAjfsE9.jpg",
"season_number": 8,
"vote_average": 7.2
},
{
"air_date": "2011-09-20",
"episode_count": 24,
"id": 14080,
"name": "Season 9",
"overview": "",
"poster_path": "/lxdcCxdliuJIG7cvX4bA34hLY9O.jpg",
"season_number": 9,
"vote_average": 7.4
},
{
"air_date": "2012-09-25",
"episode_count": 24,
"id": 14082,
"name": "Season 10",
"overview": "",
"poster_path": "/z0GQhIt7uF9aPnMr7YQH6nS2ch4.jpg",
"season_number": 10,
"vote_average": 7.2
},
{
"air_date": "2013-09-24",
"episode_count": 24,
"id": 14083,
"name": "Season 11",
"overview": "",
"poster_path": "/tctlBaYAGMQXC0WeSWRsQTRlHrq.jpg",
"season_number": 11,
"vote_average": 7.2
},
{
"air_date": "2014-09-23",
"episode_count": 24,
"id": 62834,
"name": "Season 12",
"overview": "",
"poster_path": "/mFMuez4mJttuV59RLLCrBRJv1Uv.jpg",
"season_number": 12,
"vote_average": 7.1
},
{
"air_date": "2015-09-22",
"episode_count": 24,
"id": 70439,
"name": "Season 13",
"overview": "",
"poster_path": "/7we57KqiRwrmaNjnInYgnSAjas.jpg",
"season_number": 13,
"vote_average": 7.3
},
{
"air_date": "2016-09-20",
"episode_count": 24,
"id": 79755,
"name": "Season 14",
"overview": "",
"poster_path": "/7LMI9VVUD4zAgVLQrGGdNUVCAa8.jpg",
"season_number": 14,
"vote_average": 7.6
},
{
"air_date": "2017-09-26",
"episode_count": 24,
"id": 91258,
"name": "Season 15",
"overview": "",
"poster_path": "/bdMcCHERoYwYCpHJW0aHYNm2oKG.jpg",
"season_number": 15,
"vote_average": 8
},
{
"air_date": "2018-09-25",
"episode_count": 24,
"id": 106151,
"name": "Season 16",
"overview": "",
"poster_path": "/sQz8u7UpRE02SthffFgIywogoKS.jpg",
"season_number": 16,
"vote_average": 7.9
},
{
"air_date": "2019-09-24",
"episode_count": 20,
"id": 126158,
"name": "Season 17",
"overview": "",
"poster_path": "/gK2yIQjtMGYmlLjIbHQuSadzJ9n.jpg",
"season_number": 17,
"vote_average": 7.8
},
{
"air_date": "2020-11-17",
"episode_count": 16,
"id": 167653,
"name": "Season 18",
"overview": "",
"poster_path": "/gYeIW2bgvQEwTFdkxufkzximplS.jpg",
"season_number": 18,
"vote_average": 7.9
},
{
"air_date": "2021-09-20",
"episode_count": 21,
"id": 201998,
"name": "Season 19",
"overview": "",
"poster_path": "/lSTchtc26YNdOjdKvZtLs22SokL.jpg",
"season_number": 19,
"vote_average": 7.9
},
{
"air_date": "2022-09-19",
"episode_count": 22,
"id": 298439,
"name": "Season 20",
"overview": "",
"poster_path": "/2exOHePjOTquUsbThPGhuEjYTyA.jpg",
"season_number": 20,
"vote_average": 7.6
},
{
"air_date": "2024-02-12",
"episode_count": 10,
"id": 365595,
"name": "Season 21",
"overview": "",
"poster_path": "/19ht0bW0v1BzQO3WO319R9EXSE6.jpg",
"season_number": 21,
"vote_average": 8
},
{
"air_date": "2024-10-14",
"episode_count": 10,
"id": 402099,
"name": "Season 22",
"overview": "",
"poster_path": "/mBcu8d6x6zB1el3MPNl7cZQEQ31.jpg",
"season_number": 22,
"vote_average": 10
}
]
Show child attributes
Show child attributes
Example:
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
Example:
"Returning Series"
Example:
"Back in force."
Example:
"Scripted"
Example:
7.618
Example:
2278
Was this page helpful?
⌘I